class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def __str__(self):
	#Computes the "informal" string representations of a Point.
		return '({0}, {1})'.format(self.x, self.y)

p = Point(1,2)
q = Point(3,4)
r = p + q #TypeError: unsupported operand type(s) for +: 'Point' and 'Point'
