from copy import deepcopy
class Square:
    def __init__(self, s):
        self.side = s
    def perimeter(self):
        return 4*self.side
    def area(self):
        return self.side * self.side
    def scale(self, factor):
        self.side *= factor
    def __le__(self, other):
        if not isinstance(other, Square):
            return False
        return self.area() <= other.area()
    def __ne__(self, other):
        if not isinstance(other, Square):
            return False
        return self.area() != other.area()
    def __eq__(self, other):
        if not isinstance(other, Square):
            return False
        return self.area() == other.area()

def q6():
	r = Square(5)
	s = Square(10)
	a = [r, s]
	b = a.copy()
	print(a != b, a is b, a[0] != b[0], a[0] is not b[1])

def q7():
	r = Square(10)
	s = Square(5)
	a = [r, s]
	b = deepcopy(a)
	print(a == b, a is not b, a[0] != b[1], a[0] is b[0])

result = ''
try:
	num = 100/0
	result += 'a'
	try:
		num = 200 / 0
		result += 'b'
	except ValueError:
		result += 'c'
	except:
		result += 'd'
	finally:
		result += 'e'
except ZeroDivisionError:
	result += 'f'
finally:
	result += 'g'
print(result)



q7()
